org.restlet.engine.component

## Class ComponentXmlParser

- java.lang.Object
- - org.restlet.engine.component.ComponentXmlParser

    public class ComponentXmlParser
    extends java.lang.Object

Parser for component XML configuration.

Author:
  Jerome Louvel
See Also:
  `Component`

### Constructor Summary

Constructors
Constructor and Description
`ComponentXmlParser(Component component, Representation xmlConfiguration)` Constructor.

### Method Summary

Methods
`void` `parse()` Parse a configuration file and update the component's configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentXmlParser

    public ComponentXmlParser(Component component,
                      Representation xmlConfiguration)

Constructor.

Parameters:
  `component` - The component to update.
  `xmlConfiguration` - The XML configuration to parse.

### Method Detail

#### parse

    public void parse()

Parse a configuration file and update the component's configuration.